Share via


Addons - List By Role

Lists all the addons configured in the role.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DataBoxEdge/dataBoxEdgeDevices/{deviceName}/roles/{roleName}/addons?api-version=2023-12-01

URI Parameters

Name In Required Type Description
deviceName
path True

string

The name of the device.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

roleName
path True

string

The name of the role.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

AddonList

Azure operation completed successfully.

Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

RoleListAddOns

Sample request

GET https://management.azure.com/subscriptions/4385cf00-2d3a-425a-832f-f4285b1c9dce/resourceGroups/GroupForEdgeAutomation/providers/Microsoft.DataBoxEdge/dataBoxEdgeDevices/testedgedevice/roles/IoTRole1/addons?api-version=2023-12-01

Sample response

{
  "value": [
    {
      "name": "arcName",
      "type": "Microsoft.DataBoxEdge/dataBoxEdgeDevices/roles/addons",
      "id": "/subscriptions/0d44739e-0563-474f-97e7-24a0cdb23b29/resourcegroups/prpare/providers/Microsoft.DataBoxEdge/dataBoxEdgeDevices/addonExamples/roles/kubernetesRole/addons/arcName",
      "kind": "ArcForKubernetes",
      "properties": {
        "hostPlatform": "Linux",
        "hostPlatformType": "KubernetesCluster",
        "provisioningState": "Created",
        "resourceGroupName": "testrg1",
        "resourceLocation": "EastUS",
        "resourceName": "testresource1",
        "subscriptionId": "0d44739e-0563-474f-97e7-24a0cdb23b29",
        "version": "0.2.18"
      }
    }
  ]
}

Definitions

Name Description
AddonList

Collection of all the Role addon on the Azure Stack Edge device.

AddonState

Addon Provisioning State

AddonType

Addon type.

ArcAddon

Arc Addon.

AsymmetricEncryptedSecret

Represent the secrets intended for encryption with asymmetric key pair.

Authentication

Authentication mechanism for IoT devices.

CloudError

An error response from the service.

CloudErrorBody

An error response from the service.

createdByType

The type of identity that created the resource.

EncryptionAlgorithm

The algorithm used to encrypt "Value".

HostPlatformType

Platform where the runtime is hosted.

IoTAddon

IoT Addon.

IoTDeviceInfo

Metadata of IoT device/IoT Edge device to be configured.

PlatformType

Host OS supported by the Arc addon.

SymmetricKey

Symmetric key for authentication.

systemData

Metadata pertaining to creation and last modification of the resource.

AddonList

Collection of all the Role addon on the Azure Stack Edge device.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value Addon[]:

The Addon items on this page

AddonState

Addon Provisioning State

Value Description
Invalid
Creating
Created
Updating
Reconfiguring
Failed
Deleting

AddonType

Addon type.

Value Description
IotEdge
ArcForKubernetes

ArcAddon

Arc Addon.

Name Type Description
id

string

Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

kind string:

ArcForKubernetes

pattern: ^[-\w\._,\(\\\)]+$

Addon type.

name

string

The name of the resource

properties.hostPlatform

PlatformType

Host OS supported by the Arc addon.

properties.hostPlatformType

HostPlatformType

Platform where the runtime is hosted.

properties.provisioningState

AddonState

Addon Provisioning State

properties.resourceGroupName

string

Arc resource group name

properties.resourceLocation

string

Arc resource location

properties.resourceName

string

Arc resource Name

properties.subscriptionId

string

Arc resource subscription Id

properties.version

string

Arc resource version

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

AsymmetricEncryptedSecret

Represent the secrets intended for encryption with asymmetric key pair.

Name Type Description
encryptionAlgorithm

EncryptionAlgorithm

The algorithm used to encrypt "Value".

encryptionCertThumbprint

string (password)

Thumbprint certificate used to encrypt "Value". If the value is unencrypted, it will be null.

value

string

The value of the secret.

Authentication

Authentication mechanism for IoT devices.

Name Type Description
symmetricKey

SymmetricKey

Symmetric key for authentication.

CloudError

An error response from the service.

Name Type Description
error

CloudErrorBody

The error details.

CloudErrorBody

An error response from the service.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

details

CloudErrorBody[]

A list of additional details about the error.

message

string

A message describing the error, intended to be suitable for display in a user interface.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

EncryptionAlgorithm

The algorithm used to encrypt "Value".

Value Description
None
AES256
RSAES_PKCS1_v_1_5

HostPlatformType

Platform where the runtime is hosted.

Value Description
KubernetesCluster
LinuxVM

IoTAddon

IoT Addon.

Name Type Description
id

string

Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

kind string:

IotEdge

pattern: ^[-\w\._,\(\\\)]+$

Addon type.

name

string

The name of the resource

properties.hostPlatform

PlatformType

Host OS supported by the IoT addon.

properties.hostPlatformType

HostPlatformType

Platform where the runtime is hosted.

properties.ioTDeviceDetails

IoTDeviceInfo

IoT device metadata to which appliance needs to be connected.

properties.ioTEdgeDeviceDetails

IoTDeviceInfo

IoT edge device to which the IoT Addon needs to be configured.

properties.provisioningState

AddonState

Addon Provisioning State

properties.version

string

Version of IoT running on the appliance.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

IoTDeviceInfo

Metadata of IoT device/IoT Edge device to be configured.

Name Type Description
authentication

Authentication

Encrypted IoT device/IoT edge device connection string.

deviceId

string

ID of the IoT device/edge device.

ioTHostHub

string

Host name for the IoT hub associated to the device.

ioTHostHubId

string

Id for the IoT hub associated to the device.

PlatformType

Host OS supported by the Arc addon.

Value Description
Windows
Linux

SymmetricKey

Symmetric key for authentication.

Name Type Description
connectionString

AsymmetricEncryptedSecret

Connection string based on the symmetric key.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.